> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/version-stacks/show/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Show version stack GET https://api.frame.io/v4/accounts/{account_id}/version_stacks/{version_stack_id} Show version stack details. Rate Limits: 100 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/version-stacks/show ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `version_stack_id` (string, required) ### Query parameters - `include` (enum, optional) - Allowed values: `media_links.original`, `media_links.thumbnail`, `media_links.thumbnail_high_quality`, `media_links.video_h264_180`, `media_links.high_quality`, `media_links.efficient`, `media_links.scrub_sheet`, `media_links.hls_manifest`, `creator`, `project`, `metadata` ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ## Response ### 200 OK - `data` (VersionStackWithIncludes, required) ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### VersionStackWithIncludes - `head_version` (FileWithIncludes, required, nullable) - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or Folder Name - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `created_at` (string, required) — Creation timestamp - `project_id` (string, required) — Project ID - `type` (enum, required) - Allowed values: `file`, `folder`, `version_stack` - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. - `creator` (User, optional) — User details - `metadata` (list of MetadataField, optional) — File attributes - `project` (ProjectWithIncludes, optional) — Frame.io Project ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### FileWithIncludes - `file_size` (integer, required) — File size in bytes - `id` (string, required) — File ID - `media_type` (string, required) — File media type - `name` (string, required) — File Name - `status` (enum, required) - Allowed values: `created`, `transcoded`, `uploaded` - `created_at` (string, required) — Creation timestamp - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or Folder Name - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `project_id` (string, required) — Project ID - `type` (enum, required) - Allowed values: `file`, `folder`, `version_stack` - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `adobe_version_id` (string, optional, nullable) — Version identifier of the Adobe cloud storage asset associated with this file, when available. A version identifier is a string that often resembles an integer but should be treated as an opaque string. - `media_links` (MediaLinksCollection, optional) - `parent` (FileWithIncludesParent, optional, nullable) — The file's parent: a folder (including a project's root folder) or a version stack. Only present when `include=parent` is requested. - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. - `creator` (User, optional) — User details - `metadata` (list of MetadataField, optional) — File attributes - `project` (ProjectWithIncludes, optional) — Frame.io Project ### User User details - `active` (boolean, required, nullable) — User active status - `avatar_url` (string, required, nullable) — User avatar image url - `email` (string, required) — User email - `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account - `name` (string, required, nullable) — User name - `adobe_user_id` (string, optional, nullable) — Adobe user ID ### MetadataField - `field_type`: `date` (DateValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (string, required, nullable) - `field_type`: `long_text` (TextValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (string, required, nullable) - `field_type`: `number` (NumberValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (double, required, nullable) - `field_type`: `rating` (IntegerValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (integer, required, nullable) - `field_type`: `select` (SelectValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (list of SelectOption, required) - `field_options` (list of SelectOption, optional) - `field_type`: `select_multi` (MultiSelectValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (list of SelectOption, required) - `field_options` (list of SelectOption, optional) - `field_type`: `text` (TextValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (string, required, nullable) - `field_type`: `toggle` (BooleanValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (boolean, required, nullable) - `field_type`: `user_multi` (MultiUserValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (list of UserValue, required) - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'. - `member_options_type` (enum, optional) - Allowed values: `custom`, `all_project_members` - `field_type`: `user_single` (SingleUserValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (list of UserValue, required) - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'. - `member_options_type` (enum, optional) - Allowed values: `custom`, `all_project_members` - `field_type`: `users` (MultiUserValue) - `field_definition_id` (string, required) — Field definition ID - `field_definition_name` (string, required) — Field definition name - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated. - `value` (list of UserValue, required) - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'. - `member_options_type` (enum, optional) - Allowed values: `custom`, `all_project_members` ### ProjectWithIncludes Frame.io Project - `created_at` (string, required) — Created Timestamp - `id` (string, required) — Project ID - `name` (string, required) — Project Name - `root_folder_id` (string, required) — Root Folder ID - `status` (enum, required) — Project Status - Allowed values: `active`, `inactive` - `storage` (integer, required, default: 0) — Storage Usage - `updated_at` (string, required) — Updated Timestamp - `view_url` (string, required) — URL to view the project in the Frame.io web application - `workspace_id` (string, required) — Workspace ID - `description` (string, required, nullable) — Project Description - `adobe_id` (string, optional, nullable) — Adobe cloud storage directory ID associated with the project, when available. - `image` (string, optional, nullable) — URL of the project image (icon). Null when no image has been uploaded. - `restricted` (boolean, optional) — Whether the project is restricted or not - `owner` (User, optional) — User details ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ### MediaLinksCollection - `efficient` (TranscodeMediaLink, optional) - `high_quality` (TranscodeMediaLink, optional) - `hls_manifest` (HlsManifestMediaLink, optional) - `original` (OriginalMediaLink, optional) - `scrub_sheet` (ScrubSheetMediaLink, optional) - `thumbnail` (RenditionMediaLink, optional) - `thumbnail_high_quality` (RenditionMediaLink, optional) - `video_h264_180` (RenditionMediaLink, optional) ### FileWithIncludesParent The file's parent: a folder (including a project's root folder) or a version stack. Only present when `include=parent` is requested. - `type`: `folder` (Folder) - `cover_file_id` (string, required, nullable) — Cover asset ID - `created_at` (string, required) — Creation timestamp - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or folder Name - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `project_id` (string, required) — Project ID - `restricted` (boolean, required) — Folder is restricted or not - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. - `type`: `version_stack` (VersionStack) - `created_at` (string, required) — Creation timestamp - `head_version` (File, required) - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or folder Name - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `project_id` (string, required) — Project ID - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. ### SelectOption - `display_name` (string, required) — Option display name - `id` (string, required) — Option ID ### UserValue - `id` (string, required) — User Id or Account User Group Id - `type` (enum, required) - Allowed values: `user`, `account_user_group` ### TranscodeMediaLink - `download_url` (string, required, nullable) — URL to download the media file. HTTP response headers will include Content-Disposition = 'attachment;filename=\'. Watermarks may be applied for transcode links as per Account settings and User permissions. - `url` (string, optional, nullable) — URL to transcoded media that won't include any Content-Disposition header in the response. Only present for assets whose download links are restricted (e.g. session-watermarked or download-disabled assets), where it is returned as `null`. ### HlsManifestMediaLink - `url` (string, required, nullable) — URL to an HLS manifest for streaming the media file. Watermarks may be applied as per Account settings and User permissions. ### OriginalMediaLink - `download_url` (string, required, nullable) — URL to download the media file. HTTP response headers will include Content-Disposition = 'attachment;filename=\'. Watermarks may be applied for transcode links as per Account settings and User permissions. - `inline_url` (string, required, nullable) — URL to view the media file in a web browser in its original resolution and media type. HTTP response headers will include Content-Disposition = 'inline;filename=\'. ### ScrubSheetMediaLink - `download_url` (string, required, nullable) — URL to download the media file. HTTP response headers will include Content-Disposition = 'attachment;filename=\'. Watermarks may be applied for transcode links as per Account settings and User permissions. - `url` (string, required, nullable) — URL to transcoded media that won't include any Content-Disposition header in the response. Watermarks may be applied as per Account settings and User permissions. Media content may be streamed (e.g. when watermarks are required). Clients may issue a HEAD request to determine whether Content-Length and/or Accept-Ranges headers are present in order to determine whether the content can be downloaded in parallel chunks. - `metadata` (ScrubSheetMediaLinkMetadata, optional, nullable) — Metadata for the scrub sheet.Metadata is only available for video assets. ### RenditionMediaLink - `download_url` (string, required, nullable) — URL to download the media file. HTTP response headers will include Content-Disposition = 'attachment;filename=\'. Watermarks may be applied for transcode links as per Account settings and User permissions. - `url` (string, required, nullable) — URL to transcoded media that won't include any Content-Disposition header in the response. Watermarks may be applied as per Account settings and User permissions. Media content may be streamed (e.g. when watermarks are required). Clients may issue a HEAD request to determine whether Content-Length and/or Accept-Ranges headers are present in order to determine whether the content can be downloaded in parallel chunks. ### File - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or folder Name - `created_at` (string, required) — Creation timestamp - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `project_id` (string, required) — Project ID - `type` (enum, required) - Allowed values: `file`, `folder`, `version_stack` - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `file_size` (integer, required) — File size in bytes - `media_type` (string, required, nullable) — File media type. Null until the file has finished uploading and its type is determined. - `status` (enum, required) - Allowed values: `created`, `transcoded`, `uploaded` - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. - `adobe_version_id` (string, optional, nullable) — Version identifier of the Adobe cloud storage asset associated with this file, when available. A version identifier is a string that often resembles an integer but should be treated as an opaque string. ### ScrubSheetMediaLinkMetadata Metadata for the scrub sheet.Metadata is only available for video assets. - `frames` (integer, optional) — Number of frames represented in the scrub sheet. - `padding` (integer, optional) — Padding in pixels between thumbnails. - `thumb_height` (integer, optional) — Thumbnail height in pixels. - `thumb_width` (integer, optional) — Thumbnail width in pixels. - `tile_x` (integer, optional) — Horizontal tile index (zero-based). - `tile_y` (integer, optional) — Vertical tile index (zero-based). ## Examples **Response** ```json { "data": { "head_version": { "file_size": 1137444, "id": "666f17d0-6678-44fc-b355-fc8dbd0780bc", "media_type": "image/png", "name": "asset.png", "status": "created", "created_at": "2023-09-25T19:18:29.614189Z", "parent_id": "0432fd43-58ac-4488-9e93-668dc5500615", "project_id": "376f481a-21de-4887-935c-94d234d91431", "type": "file", "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c", "adobe_version_id": "2", "media_links": { "high_quality": { "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN" }, "original": { "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "inline_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=inline%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragSDFXDFh&1Key-Pair-Id=KKI497NESTHMN" }, "thumbnail": { "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "url": "https://picture2.frame.io/image/s3://frameio-assets-development/image/cd58cb8e-24b3-4498-8d0f-9532fcd04d11/image_full.png?alg=HS256&sig=0_u7w_wz2MwQHOXp000ibbQSMRijujyaUu8V3YYPxu4&exp=1729857600" } }, "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890", "creator": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" }, "metadata": [ { "field_type": "select", "field_definition_id": "196649ff-2b41-488a-a784-84b7f0176ec0", "field_definition_name": "Fields definition name", "mutable": true, "value": [ { "display_name": "Display name", "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46" } ], "field_options": [ { "display_name": "Display name", "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46" }, { "display_name": "Display name 2", "id": "a3641a8a-59cb-45af-9686-bf041977633d" } ] } ], "project": { "created_at": "2024-01-25T19:18:29.614189Z", "id": "540c373c-9ab9-42a4-abc4-dd9938ad9900", "name": "My Project", "root_folder_id": "0c2cc52e-1619-4bce-a200-4264b37009c4", "status": "active", "storage": 15000, "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/", "workspace_id": "cc06d1e9-59b7-498d-97b0-78e44a04c124", "description": "Project Description", "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3", "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png", "restricted": false, "owner": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" } } }, "id": "666f17d0-6678-44fc-b355-fc8dbd0780bc", "name": "asset.png", "parent_id": "0432fd43-58ac-4488-9e93-668dc5500615", "created_at": "2023-09-25T19:18:29.614189Z", "project_id": "376f481a-21de-4887-935c-94d234d91431", "type": "file", "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c", "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890", "creator": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" }, "metadata": [ { "field_type": "select", "field_definition_id": "196649ff-2b41-488a-a784-84b7f0176ec0", "field_definition_name": "Fields definition name", "mutable": true, "value": [ { "display_name": "Display name", "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46" } ], "field_options": [ { "display_name": "Display name", "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46" }, { "display_name": "Display name 2", "id": "a3641a8a-59cb-45af-9686-bf041977633d" } ] } ], "project": { "created_at": "2024-01-25T19:18:29.614189Z", "id": "540c373c-9ab9-42a4-abc4-dd9938ad9900", "name": "My Project", "root_folder_id": "0c2cc52e-1619-4bce-a200-4264b37009c4", "status": "active", "storage": 15000, "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/", "workspace_id": "cc06d1e9-59b7-498d-97b0-78e44a04c124", "description": "Project Description", "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3", "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png", "restricted": false, "owner": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" } } } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de" querystring = {"include":"media_links.original"} headers = { "api-version": "experimental", "Authorization": "Bearer " } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original'; const options = { method: 'GET', headers: {'api-version': 'experimental', Authorization: 'Bearer '} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original") .header("api-version", "experimental") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original', [ 'headers' => [ 'Authorization' => 'Bearer ', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original"); var request = new RestRequest(Method.GET); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/ade3a18d-29f9-4a5b-9809-0f4c16b5fafb/version_stacks/813ff7ec-0f64-4be5-9010-655183bb38de?include=media_links.original")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```